| Version: 3.2.5

Public Member Functions | List of all members
wxInitializer Class Reference
Class List by Category » Application and Process Management

`#include <wx/init.h>`

## Detailed Description

Create an object of this class on the stack to initialize/cleanup the library automatically.

##

Library: wxBase
Category: Application and Process Management

See also
  wxGLContext

## Public Member Functions

| wxInitializer (int argc=0, wxChar **argv=NULL)
| Initializes the library. More...
bool | IsOk () const
| Has the initialization been successful? (explicit test) More...
| ~wxInitializer ()
| This dtor only does clean up if we initialized the library properly. More...

## Constructor & Destructor Documentation

## ◆ wxInitializer()

wxInitializer::wxInitializer | ( | int | argc = `0`,
|  | wxChar ** | argv = `NULL`
| ) |  |

Initializes the library.

Calls wxInitialize().

## ◆ ~wxInitializer()

wxInitializer::~wxInitializer | ( |  | ) |

This dtor only does clean up if we initialized the library properly.

Calls wxUninitialize().

## Member Function Documentation

## ◆ IsOk()

bool wxInitializer::IsOk | ( |  | ) | const

Has the initialization been successful? (explicit test)